[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible-archlinux: ignore expired cert when building in the future
Holger Levsen
holger at layer-acht.org
Sat Nov 4 16:03:47 UTC 2017
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 1c45cf2bc2b29a4e3f108c6e7404281daa53112b
Author: kpcyrd <git at rxv.cc>
Date: Sat Nov 4 15:55:21 2017 +0100
reproducible-archlinux: ignore expired cert when building in the future
Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
bin/reproducible_setup_archlinux_schroot.sh | 12 ++++++++++--
1 file changed, 10 insertions(+), 2 deletions(-)
diff --git a/bin/reproducible_setup_archlinux_schroot.sh b/bin/reproducible_setup_archlinux_schroot.sh
index 8a30c82..63ea3d5 100755
--- a/bin/reproducible_setup_archlinux_schroot.sh
+++ b/bin/reproducible_setup_archlinux_schroot.sh
@@ -105,7 +105,7 @@ if [ "$HOSTNAME" = "profitbricks-build4-amd64" ] ; then
sed -i 's/^SigLevel\s*=.*/SigLevel = Never/' "$SCHROOT_BASE/$TARGET/etc/pacman.conf"
fi
$ROOTCMD bash -l -c 'pacman -Syu --noconfirm'
-$ROOTCMD bash -l -c 'pacman -S --noconfirm base-devel devtools fakechroot asciidoc wget'
+$ROOTCMD bash -l -c 'pacman -S --noconfirm base-devel devtools fakechroot asciidoc'
# configure sudo
echo 'jenkins ALL= NOPASSWD: /usr/sbin/pacman *' | $ROOTCMD tee -a /etc/sudoers
@@ -120,10 +120,18 @@ echo "keyserver-options auto-key-retrieve" | tee -a $SCHROOT_BASE/$TARGET/var/li
# this is 2017-11-02 on the rws3 in berlin, this can be dropped after the next
# pacman release.
# The workaround with sh -c is needed to delay the shell expansion due to chroot
+WGET_OPTS=''
+if [ "$HOSTNAME" = "profitbricks-build4-amd64" ] ; then
+ WGET_OPTS="--no-check-certificate"
+fi
+
+wget $WGET_OPTS -O "$SCHROOT_BASE/$TARGET/tmp/PKGBUILD" "https://aur.archlinux.org/cgit/aur.git/plain/PKGBUILD?h=pacman-git"
+
$USERCMD bash <<-__END__
+ set -e
mkdir /pacman-git
cd /pacman-git
- wget -O PKGBUILD https://aur.archlinux.org/cgit/aur.git/plain/PKGBUILD?h=pacman-git
+ mv /tmp/PKGBUILD .
makepkg
__END__
$ROOTCMD sh -c 'yes | pacman -U /pacman-git/pacman-*-x86_64.pkg.tar.xz'
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list